/*
Theme Name: Davenport Child
Theme URI: https://distinctbydesign.com
Author: Shannon Davenport
Author URI: https://distinctbydesign.com/
Copyright 2022-2025 Shannon L Davenport
Description: Davenport Child Theme. For support and suggestions, go to: https://distinctbydesign.com.
Version: 1.1.1
License: GNU General Public License
License URI: https://www.gnu.org/licenses/gpl.html
Template:davenport
Tested up to: 6.8.1
Requires PHP: 8.1
Text Domain: davenport-child
*/

/*** VARIABLES ***/
:root {
    /*Colors*/
	--black:#000;
	--white:#fff;
	--teal-blue:#035A75 ;
	--purple:#4F3C69;
	--aqua:#23B4A1;
	--white:#fff;
	--gray:#ddd;
	--cream:#F7F9F1;
	--cobalt-blue:#003250;
	--orange:#FF6D00;
	--lt-aqua:#00D1BB;
	--pink:#BF4E5B;
	--charcoal:#474747;
	--smoky-gray:#A6A6A6;
	--dark-aqua:#107D74;
}

/*=============================================
	GLOBAL STYLES
==============================================*/
a {color: #23B4A1;}

/*==============================
 * 	HEADER
 * =================================*/
.home .container-header .wp-block-cover img.wp-block-cover__image-background{
    min-height:600px;
}

.wp-block-navigation__container:only-child, .wp-block-page-list:only-child {
    flex-grow: 0;
}


/*============================================
	MAIN
==============================================*/

.wp-block-post-featured-image img,
.is-style-hard-stop-gradient figure img{
    max-height:480px;
}
.is-style-hard-stop-gradient figure{
    margin-top: -40px;
    margin-right: 20px;
    margin-bottom: 40px;
}
.custom-bullets li {
  list-style-type: none;
  padding-left: 1.5em; /* Adjust as needed */
  position: relative;
}

.custom-bullets li::before {
  content: ""; /* Replace with your desired Unicode character */
  color: var(--lt-aqua);
  position: absolute;
  left: 0;
  top: 0;
  font-weight: bold;
  font-family:"Font Awesome 7 Free";
  font-size:14px;
  align-self: anchor-center;
}

nav.custom-bullets ul > li a{
    margin-left:15px;
}

.wp-block-post.category-discography{
    background-color: var(--white);
    position:relative;
}
.post-template-discography{
    row-gap: 6rem;
}
.discography-year::before{
    content: "'";
    display:inline-flex;
}
.post-template-discography h2{
    width:100%;
}


/*==================================
    TESTIMONIALS
====================================*/

/**/

.testimonials-loop .wp-block-post-template {
    position: relative;
    min-height: 400px; /* Adjust to fit your longest testimonial */
    display: block !important;
}

.testimonials-loop .wp-block-post-template > * {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease-in-out, visibility 1s;
}

/* Class added by JS to show the current post */
.testimonials-loop .wp-block-post-template > .is-active {
    opacity: 1;
    visibility: visible;
}



/*=============================================
	FOOTER
==============================================*/

.mc_custom_border_hdr, .mc_subheader {
    display: none;
}

/*=============================================
	MEDIA QUERIES
==============================================*/
/* Change the WordPress default css to a 1023px media query */
@media (min-width: 1023px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: block !important;
        width: 100%;
        position: relative;
        z-index: auto;
        background-color: inherit;
    }
	
}
/* Remove the WordPress default for 600px */
@media (min-width: 600px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
    }
}
@media (max-width: 1023px) {
	/* body{
		font-size: 1em;
	}
	main{
		padding: 0 15px;
	} */
    .container-header .wp-block-navigation__responsive-container{
        background-color: var(--wp--preset--color--cobalt-blue) !important;
        padding: 0 15px;
    }
    main .entry-content{
        padding:0 15px;
    }

    .video-embed-container-stack{
        padding-top: 20px !important;
        padding-right: 10px !important;
        padding-bottom: 20px !important;
        padding-left: 10px !important;
    }
    .wp-block-embed.is-type-video{
        flex-basis:auto;
    }

    .has-cream-background-color .wp-block-buttons{
        margin-bottom:20px;
    }

    .custom-bullets li{
        line-height: 1.3;
        padding-bottom: 5px;
        padding-top: 5px;
    }

}

@media (max-width: 767px) {
	.testimonials-loop .wp-block-post-template {
        min-height: 600px; /* Adjust to fit your longest testimonial */
    }
	
	
}

@media (max-width:480px){
	
}
